<?php
//////////////////////////////////////////////////////////////////
//
// export.php
// created 05.14.2003 <jaltiere>
// scans the league directory for all .EXP files to see when 
// each team updated it's roster.
//
// revisions:
// 05.19.2003 <jaltiere> - made league files appear in bold
//                         old exports files appear in red
//
//////////////////////////////////////////////////////////////////

//constants - teamID's
define('REDSOX', 2);
define('YANKEES', 3);
define('BLUEJAYS', 5);
define('ORIOLES', 1);
define('DEVILRAYS', 4);
define('INDIANS', 7);
define('WHITESOX', 6);
define('TWINS', 10);
define('TIGERS', 8);
define('ROYALS', 9);
define('ATHLETICS', 12);
define('ANGELS', 11);
define('MARINERS', 13);
define('RANGERS', 14);
define('BRAVES', 15);
define('MARLINS', 16);
define('PHILLIES', 19);
define('EXPOS', 17);
define('METS', 18);
define('ASTROS', 22);
define('REDS', 21);
define('PIRATES', 24);
define('CARDINALS', 25);
define('CUBS', 20);
define('BREWERS', 23);
define('DIAMONDBACKS', 26);
define('ROCKIES', 27);
define('DODGERS', 28);
define('PADRES', 29);
define('GIANTS', 30);

$updatetimes = array();
$updatetimes[0][0] = "N/A"; //place holder, team ID's start at 1
$updatetimes[0][1] = "N/A"; //place holder, team ID's start at 1

//initialize array values
for($ii=1;$ii<=30;$ii++) {
  $updatetimes[$ii][0] = "No update record";
  $updatetimes[$ii][1] = "old";
}

?>
<html>
<head>
<title>your league- Roster Update</title>
</head>

<body>
<div align=center>
<?php
//search league directory for team exports
if($dir = @opendir("league")) {
  while(false != ($file = @readdir($dir))) {
    $len = strlen($file);
    if(substr($file, $length - 3) == "EXP") {  //valid export
      //get team ID
      $pos = strpos($file, ".");
      $teamid = intval(substr($file, 4, $pos));
    
      //file modify time will be when it was uploaded
      $filestats = array();
      if(!$filestats = stat("league/$file")) {
	echo "Error: could not retrieve file infomation for league/$file<br>\n";
	exit;
      }
      //format modify time and update array
      $lastmodify = date("n/j/Y h:i A", $filestats[9]);
      $updatetimes[$teamid][0] = $lastmodify;
      $updatetimes[$teamid][1] = "league";
    }
  }
} else {
  echo "<b>Error: could not open league directory</b><br>\n";
}

//now we want to repeat the process for the Old Exports directory
//only update the array if the value is "No update record" (no current export file found)
if($dir = @opendir("Old Exports")) {
  while(false != ($file = @readdir($dir))) {
    $len = strlen($file);
    if(substr($file, $length - 3) == "EXP") {  //valid export
      //get team ID
      $pos = strpos($file, ".");
      $teamid = intval(substr($file, 4, $pos));
    
      //don't update update time if there is something set
      if($updatetimes[$teamid][0] == "No update record") {
	//file modify time will be when it was uploaded
	$filestats = array();
	if(!$filestats = stat("Old Exports/$file")) {
	  echo "Error: could not retrieve file infomation for Old Exports/$file<br>\n";
	  exit;
	}
	//format modify time and update array
	$lastmodify = date("n/j/Y h:i A", $filestats[9]);
	$updatetimes[$teamid][0] = $lastmodify;
	$updatetimes[$teamid][1] = "old";
      }
    }
  }
} else {
  echo "<b>Error: could not open Old Exports directory</b><br>\n";
}

//now output the last access times for each team
?>
<table border=0 cellpadding=5 cellspacing=0 align=center>
  <tr>
    <td>
    <font face="Arial" size=2><b>current export</b></font><br>
    <font face="Arial" size=2 color=red>old export</font>
    </td>
  </tr>
</table>
<br>
  <table border=0 cellpadding=3 cellspacing=0 width=90%>
    <tr> 
      <td colspan=2 align=center><font face="Arial" size=2><b>East</b></font></td>
      <td colspan=2 align=center><font face="Arial" size=2><b>East</b></font></td>
    </tr>
    <tr> 
      <td><font face="monotype corsiva"><strong>Baltimore Orioles</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[ORIOLES][1] == "league") {
      echo "<b>".$updatetimes[ORIOLES][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[ORIOLES][0]."\n";
    }
    ?>
        </font></td>
      <td><font face="monotype corsiva"><strong>Atlanta Braves</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[BRAVES][1] == "league") {
      echo "<b>".$updatetimes[BRAVES][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[BRAVES][0]."\n";
    }
    ?>
        </font></td>
    </tr>
    <tr> 
      <td><font face="monotype corsiva"><strong>Boston Red Sox</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[REDSOX][1] == "league") {
      echo "<b>".$updatetimes[REDSOX][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[REDSOX][0]."\n";
    }
    ?>
        </font></td>
      <td><font face="monotype corsiva"><strong>Florida Marlins</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[MARLINS][1] == "league") {
      echo "<b>".$updatetimes[MARLINS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[MARLINS][0]."\n";
    }
    ?>
        </font></td>
    </tr>
    <tr> 
      <td><font face="monotype corsiva"><strong>New York Yankees</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[YANKEES][1] == "league") {
      echo "<b>".$updatetimes[YANKEES][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[YANKEES][0]."\n";
    }
    ?>
        </font></td>
      <td><font face="monotype corsiva"><strong>Montreal Expos</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[EXPOS][1] == "league") {
      echo "<b>".$updatetimes[EXPOS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[EXPOS][0]."\n";
    }
    ?>
        </font></td>
    </tr>
    <tr> 
      <td><font face="monotype corsiva"><strong>Tampa Bay Devil Rays</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[DEVILRAYS][1] == "league") {
      echo "<b>".$updatetimes[DEVILRAYS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[DEVILRAYS][0]."\n";
    }
    ?>
        </font></td>
      <td><font face="monotype corsiva"><strong>New York Mets</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[METS][1] == "league") {
      echo "<b>".$updatetimes[METS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[METS][0]."\n";
    }
    ?>
        </font></td>
    </tr>
    <tr> 
      <td><font face="monotype corsiva"><strong>Toronto Blue Jays</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[BLUEJAYS][1] == "league") {
      echo "<b>".$updatetimes[BLUEJAYS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[BLUEJAYS][0]."\n";
    }
    ?>
        </font></td>
      <td><font face="monotype corsiva"><strong>Philadelphia Phillies</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[PHILLIES][1] == "league") {
      echo "<b>".$updatetimes[PHILLIES][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[PHILLIES][0]."\n";
    }
    ?>
        </font></td>
    </tr>
    <tr> 
      <td colspan=2 align=center> <font face="Arial" size=2><b>Central</b></font></td>
      <td colspan=2 align=center> <font face="Arial" size=2><b>Central</b></font></td>
    </tr>
    <tr> 
      <td><font face="monotype corsiva"><strong>Chicago White Sox</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[WHITESOX][1] == "league") {
      echo "<b>".$updatetimes[WHITESOX][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[WHITESOX][0]."\n";
    }
    ?>
        </font></td>
      <td><font face="monotype corsiva"><strong>Chicago Cubs</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[CUBS][1] == "league") {
      echo "<b>".$updatetimes[CUBS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[CUBS][0]."\n";
    }
    ?>
        </font></td>
    </tr>
    <tr> 
      <td><font face="monotype corsiva"><strong>Cleveland Indians</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[INDIANS][1] == "league") {
      echo "<b>".$updatetimes[INDIANS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[INDIANS][0]."\n";
    }
    ?>
        </font></td>
      <td><font face="monotype corsiva"><strong>Cincinnatti Reds</strong></font></td>
      <td><font face="Arial" size=2>
        <?php
    if($updatetimes[REDS][1] == "league") {
      echo "<b>".$updatetimes[REDS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[REDS][0]."\n";
    }
    ?>
        </font></td>
    </tr>
    <tr> 
      <td><font face="monotype corsiva"><strong>Detroit Tigers</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[TIGERS][1] == "league") {
      echo "<b>".$updatetimes[TIGERS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[TIGERS][0]."\n";
    }
    ?>
        </font></td>
      <td><font face="monotype corsiva"><strong>Houston Astros</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[ASTROS][1] == "league") {
      echo "<b>".$updatetimes[ASTROS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[ASTROS][0]."\n";
    }
    ?>
        </font></td>
    </tr>
    <tr> 
      <td><font face="monotype corsiva"><strong>Kansas City Royals</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[ROYALS][1] == "league") {
      echo "<b>".$updatetimes[ROYALS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[ROYALS][0]."\n";
    }
    ?>
        </font></td>
      <td><font face="monotype corsiva"><strong>Milwaukee Brewers</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[BREWERS][1] == "league") {
      echo "<b>".$updatetimes[BREWERS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[BREWERS][0]."\n";
    }
    ?>
        </font></td>
    </tr>
    <tr> 
      <td><font face="monotype corsiva"><strong>Minnesota Twins</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[TWINS][1] == "league") {
      echo "<b>".$updatetimes[TWINS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[TWINS][0]."\n";
    }
    ?>
        </font></td>
      <td><font face="monotype corsiva"><strong>Pittsburgh Pirates</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[PIRATES][1] == "league") {
      echo "<b>".$updatetimes[PIRATES][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[PIRATES][0]."\n";
    }
    ?>
        </font></td>
    </tr>
    <tr> 
      <td colspan=2>&nbsp;</td>
      <td><font face="monotype corsiva"><strong>St. Louis Cardinals</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[CARDINALS][1] == "league") {
      echo "<b>".$updatetimes[CARDINALS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[CARDINALS][0]."\n";
    }
    ?>
        </font></td>
    </tr>
    <tr> 
      <td colspan=2 align=center><font face="Arial" size=2><b> West</b></font></td>
      <td colspan=2 align=center><font face="Arial" size=2><b>West</b></font></td>
    </tr>
    <tr> 
      <td><font face="monotype corsiva"><strong>Anaheim Angels</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[ANGELS][1] == "league") {
      echo "<b>".$updatetimes[ANGELS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[ANGELS][0]."\n";
    }
    ?>
        </font></td>
      <td><font face="monotype corsiva"><strong>Arizona Diamondbacks</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[DIAMONDBACKS][1] == "league") {
      echo "<b>".$updatetimes[DIAMONDBACKS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[DIAMONDBACKS][0]."\n";
    }
    ?>
        </font></td>
    </tr>
    <tr> 
      <td><font face="monotype corsiva"><strong>Oakland Athletics</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[ATHLETICS][1] == "league") {
      echo "<b>".$updatetimes[ATHLETICS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[ATHLETICS][0]."\n";
    }
    ?>
        </font></td>
      <td><font face="monotype corsiva"><strong>Colorado Rockies</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[ROCKIES][1] == "league") {
      echo "<b>".$updatetimes[ROCKIES][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[ROCKIES][0]."\n";
    }
    ?>
        </font></td>
    </tr>
    <tr> 
      <td><font face="monotype corsiva"><strong>Seattle Mariners</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[MARINERS][1] == "league") {
      echo "<b>".$updatetimes[MARINERS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[MARINERS][0]."\n";
    }
    ?>
        </font></td>
      <td><font face="monotype corsiva"><strong>Los Angeles Dodgers</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[DODGERS][1] == "league") {
      echo "<b>".$updatetimes[DODGERS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[DODGERS][0]."\n";
    }
    ?>
        </font></td>
    </tr>
    <tr> 
      <td><font face="monotype corsiva"><strong>Texas Rangers</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[RANGERS][1] == "league") {
      echo "<b>".$updatetimes[RANGERS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[RANGERS][0]."\n";
    }
    ?>
        </font></td>
      <td><font face="monotype corsiva"><strong>San Diego Padres</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[PADRES][1] == "league") {
      echo "<b>".$updatetimes[PADRES][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[PADRES][0]."\n";
    }
    ?>
        </font></td>
    </tr>
    <tr> 
      <td colspan=2>&nbsp;</td>
      <td><font face="monotype corsiva"><strong>San Francisco Giants</strong></font></td>
      <td><font face="Arial" size=2> 
        <?php
    if($updatetimes[GIANTS][1] == "league") {
      echo "<b>".$updatetimes[GIANTS][0]."</b>\n";
    } else {
      echo "<font color=red>".$updatetimes[GIANTS][0]."\n";
    }
    ?>
        </font></td>
    </tr>
  </table>
</div>
</body>
</html>
